:root .theme-red{
    --ow-color:#e1251b;
}

.vee{
    background-color: var(--ow-gray-100);
    height: 100%;
    overflow: overlay;
    position: absolute;
    width: 100%;
    scroll-behavior:smooth;
}
ul{margin: 0;padding: 0;list-style: none;}
a{cursor: pointer;text-decoration: none;display: block;}
img{width: 100%;display: block;}
.bold{font-weight: bold;}
.refprice{
    text-decoration: line-through;
    color: var(--ow-gray-500);
}
.cost-tag1{
    color: #fff;
    position: relative;
    padding: 0.1rem 0.25rem;
    background-color: var(--ow-teal);
}
.cost-tag2{
    color: #fff;
    position: relative;
    padding: 0.1rem 0.25rem;
    background-color: var(--ow-color);
}
.cost-tag3{
    color: #fff;
    position: relative;
    padding: 0.1rem 0.25rem;
    background-color: var(--ow-blue);
}

.bc{background-color: #fff;}
.more{color: var(--ow-gray-600)}
.more:hover{color: var(--ow-color)}
.fc{color: var(--ow-color);}
.ellipsis{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-height: 1.5;
}
.ellipsis2{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 1.5;
}

.ceiling{
    position: sticky;
    top: 0;
    z-index: 2;
}

/* header */
.top-lighthouse{
    background-color: var(--ow-gray-100);
    
}

.header-wrap{
    position: sticky;
    top: 0px;
    z-index: 4;
    /* border-bottom: 1px solid var(--ow-gray-100); */
}
.fixed{
    position: initial;
}
.header{
    background-color: #fff;
    z-index: 4;
    color: var(--ow-gray-700);
}
.header .category{
    position: relative;
    width: 100%;
    height: 100%;
}
.header .category .cateComp {
    position: absolute;
    top: 36px;
    left: 0;
    color: #fff;
    background-color: var(--ow-color);
    z-index: 4;
}
.category .cateComp {
    background-color: var(--ow-color);
}

.category .categories,
.category .categories>.title {
    color: #fff;
}

.category .categories .list-box .list-item:hover .cate-name {
    background-color: #fff;
    color: var(--ow-color);
}
.header .category button {
    width: auto;
    border-radius: 4px;
    background-color: var(--ow-color);
    color: #fff;
    text-align: center;
    outline: none;
    border: none;
    cursor: pointer;
}

/* logo */
.logo .img{
    width: 40px;
    height: 40px;
}
.logo .title{
    color: var(--ow-color);
    font-family: fantasy;
    letter-spacing: 2px;
}
/*  */
.select-language{
    background-color: transparent;
    border: none;
    color: var(--ow-gray-700);
    outline: none;
    cursor: pointer;
}
/*  */
.content{
    min-height: 380px;
}
/* footer */
.service-unit .icon{
    color: var(--ow-gray-700);
}

.service-unit .service-unit-item{
    display: flex;
    max-width: 25%;
    font-size: 0.8rem;
}

.footer-links{
    color: var(--ow-gray-600);
    border-top: 1px solid var(--ow-gray-200);
    border-bottom: 1px solid var(--ow-gray-200);
    text-align: center;
}

.service-unit,
.footer-links font{
    color: var(--ow-gray-800);
}
.footer-links a:hover,
.copywrite a:hover{
    color: var(--ow-color);
}
.copywrite a{
    color: var(--ow-gray-600);
}
.copywrite{
    line-height: 1.5;
    color: var(--ow-gray-600);
}

/*  */
.navigation-bar{
    position: fixed;
    right: 1rem;
    bottom: 30%;
    background-color: #fff;
    color: var(--ow-gray-500);
    border-radius: 8px;
    z-index: 3;
    box-shadow: rgb(0 0 0 / 10%) 0px 2px 6px;
    max-width: 65px;
    text-align: center;
}
.navigation-bar a:hover{
    color: var(--ow-color);
}
.navigation-bar a{
    color: var(--ow-gray-500);
}
.navigation-bar .ri-download-line{
    transform: rotate(180deg);
}

/* 分页 */
.pagination-main{
    background-color: #fff;
}
.pagination-main{
    color: var(--ow-gray-700);
}
.pagination-main a{
    border-radius: 3px;
    border: 1px solid var(--ow-gray-300);
    padding: 0.5rem 0.875rem;
}
.pagination-main a:hover{
    color: var(--ow-color);
    border: 1px solid var(--ow-color);
}
.pagination-main .pagination-num .current{
    border: 1px solid var(--ow-color);
    color: #fff;
    background-color: var(--ow-color);
}
.pagination-main input{
    outline: none;
    border: 1px solid var(--ow-gray-400);
    border-radius: 4px;
    height: 100%;
    text-align: center;
    width: 50px;
}
.pagination-main input:focus,
.pagination-main input:hover{
    border: 1px solid var(--ow-color);
}
.pagination-main input::-webkit-outer-spin-button,
.pagination-main input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none; 
    margin: 0; 
}

/* 商品清单 */
.commodity-list .commodity-header{
    background-color: #f3f3f3;
}
.commodity-list .shop-name{
    border-bottom: 1px solid var(--ow-gray-300);
}
.commodity-list .commodity-item{
    border-bottom: 1px solid var(--ow-gray-200);
}
.commodity-list .commodity-item:last-child{
    border: none;
}
.commodity-list .commodity-item .commodity-img{
    width: 80px;
    height: 80px;
}
.commodity-list .commodity-item .commodity-img img{
    width: 80px;
    height: 80px;
    object-fit: cover;
    aspect-ratio: 1/1;
}
.commodity-list .commodity-item .commodity-title{
    color: var(--ow-gray-900);
}

.commodity-list .commodity-item a:hover{
    color: var(--ow-color);
}

/* .commodity-list .commodity-item .commodity-title :hover{
    color: var(--ow-color);
} */